mysql5 downgrade

MySQL, PostgreSQL, SQLite
olli2k
Posts: 10
Joined: 2005-07-01 14:28

mysql5 downgrade

Post by olli2k » 2006-01-19 14:47

Hallo,
mir ist die festplatte in meinem Root abgeraucht, der Server wurde neu aufgesetzt und meine Datenbanken konnten noch gerettet werden.

Allerdings schrieb mir der Support folgendes:
hr Server ist wieder online für Sie erreichbar.
Was uns aufgefallen ist das bei Ihren vorherigen Server eine MysqlDB version4.1 installiert war und dadurch ein rückspielen auf unseren Image ( Debian3.1 Sarge) wo die MysqlVersion 4.0.24-sarge10 vorhanden ist nicht möglich ist.
wir haben dadurch ihren Server auf die SID version Debian upgegradet das Sie wieder wie gewohnt mit Ihren Server arbeiten können.
Bei der SID Version ist die Mysqlversion5.0.24 dabei was das Rückspielen Ihrer daten wieder ermögligte.
Sie habe dadurch auch die neuesten Packages auf Ihren Server.
Alles schön und gut, bloss dass jetzt sämtliche Foren und SQL Anwendungen nicht mehr funktionieren.

Bekomme Fehlermeldungen ala:
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'repeat FROM banhistory WHERE player_id = '3123528'' at line 1
oder
Ungueltige SQL-Abfrage:
SELECT thread.threadid, thread.forumid
FROM thread AS thread, subscribethread AS subscribethread
LEFT JOIN deletionlog AS deletionlog ON(deletionlog.primaryid = thread.threadid AND type = 'thread')
WHERE subscribethread.threadid = thread.threadid
AND subscribethread.userid = 1
AND thread.visible = 1
AND lastpost > 1137624826
AND deletionlog.primaryid IS NULL

mysql error: Unknown column 'thread.threadid' in 'on clause'

mysql error number: 1054
Nun zu meiner Farge, wie kann ich unter SID am besten wieder zu mysql4.1 downgraden? Oder gibt es sonst eine Möglichkeit, diese Fehler zu beheben?

Vielen Dank im voraus.

braindead
Posts: 250
Joined: 2002-10-22 09:49
Location: vorm Rechner

Re: mysql5 downgrade

Post by braindead » 2006-01-19 20:26

SID = still in development... ist also nicht gerade das was du auf deinem ROOTIE haben willst. Erzähl lieber deinem Hoste, der nach meiner Meinung doch sehr fragwürdig ist (weiß nichts von den sarge mysql-server-4.1 packeten, kann keine apt-cache benutzen und installiert eine PreBeta Distri auf einem Server) lieber ob sie dir nicht den Server wieder mit Sarge installieren und lieber den Sarge 4.1er mysql Server installieren. Wenns wirklich auf SID sein soll, mach halt mal ein apt-cache search mysql und guck nach ob es noch mysql-4.1 packete gibt.